import http from "@/http/http";
import {FeeItemCategoryeQueryParam,SubmitFeeItemCategoryeModel} from "@/api/feeItemCategory/FeeItemCategoryModle";
enum Api{
    getFeeItemCategoryList = '/api/feeItemCategory/list',   
    add = '/api/feeItemCategory',
    edit = '/api/feeItemCategory',
    delete = '/api/feeItemCategory'
}

//查询列表
export const getFeeItemCategoryListApi = async(parms:FeeItemCategoryeQueryParam) =>{
    return  await http.get(Api.getFeeItemCategoryList,parms)
}

//新增
export const addFeeItemCategoryApi = async (parms:SubmitFeeItemCategoryeModel) =>{   
    return await http.post(Api.add,parms)
}
//编辑
export const editFeeItemCategoryApi = async (parms:SubmitFeeItemCategoryeModel) =>{   
    return await http.put(Api.edit,parms)
}
//删除
export const deleteFeeItemCategoryApi = async (parms:any) =>{
    return await http.delete(Api.delete,parms)
}